# Start local chat session

```http
POST https://api.synup.com/api/v4/local-post-ideas/start-chat-session
```

Starts a new AI post-idea chat session for a location. Optionally seed the session with an `intent`, a `mode` (e.g. fast), and a subject (`subjectType`/`subjectId`) to anchor the conversation to an existing idea or series.

Source: https://developer.synup.com/api/local-post-ideas/start-local-chat-session

## Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Synup-Version` | string | required | API version date (YYYY-MM-DD). |

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `locationId` | string | required | Relay-encoded location ID. |
| `intent` | string | optional | Conversation intent (e.g. idea). |
| `mode` | string | optional | Generation mode (e.g. fast). |
| `subjectType` | string | optional |  |
| `subjectId` | string | optional |  |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/local-post-ideas/start-chat-session' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "TG9jYXRpb246MQ==",
  "mode": "fast",
  "intent": "idea"
}'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Successful response |
| `401` | Unauthorized - Invalid or missing API key |
